Drupal.registerLpbMoveError((settings, el, target, source, sibling) => {
  if (el.classList.contains('paragraph')) {
    const layout = target.closest('.lpb-layout');
    if (layout) {
      const parentLayout = layout.dataset.layout;
      const region = target.dataset.region;
      if (!drupalSettings.layoutParagraphsLimit.disallowedTypes) {
        return;
      }
      const isNegated = drupalSettings.layoutParagraphsLimit.disallowedTypes[parentLayout][region].negate;
      const disallowedTypes = drupalSettings.layoutParagraphsLimit.disallowedTypes[parentLayout][region].paragraph_types;
      if (disallowedTypes) {
        if (
          (!isNegated &&  disallowedTypes.hasOwnProperty(el.dataset.type)) ||
          ( isNegated && !disallowedTypes.hasOwnProperty(el.dataset.type))
        ) {
          return Drupal.t('This paragraph type is not allowed in this region.');
        }
      }
    }
  }
});
